com.beaglebuddy.mpeg.pojo

## Class ReplayGain

- java.lang.Object
- - com.beaglebuddy.mpeg.pojo.ReplayGain

-     public class ReplayGain
      extends java.lang.Object

  LAME header replay gain inforamtion. The gain replay contains information which can be used to make all the .mp3 files in your collection the same loudness. This " volume normalizing" process can be performed by tools like MP3 Gain.
  See Also:
    `LAMEHeader`, LAME Header Format

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReplayGain(GainType type, GainOriginator originator, boolean sign, int gain)` constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getGain()` get the absolute vlaue of the gain adjustment.
    `GainOriginator` | `getOriginator()` get the originator of the replay gain adjustment.
    `GainType` | `getType()` get the type of replay gain adjustment.
    `boolean` | `isDecrease()` get whether the gain adjustment is an increase (true) or a decrease (false) in volume.
    `boolean` | `isIncrease()` get whether the gain adjustment is an increase (true) or a decrease (false) in volume.
    `java.lang.String` | `toString()` get a string representation of the LAME replay gain.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ReplayGain

          public ReplayGain(GainType type,
                    GainOriginator originator,
                    boolean sign,
                    int gain)

      constructor.
      Parameters:
        `type` - type of replay gain.
        `originator` - who set the replay gain.
        `sign` - true indicates an increase in volume, while false indicates a decrease in volume.
        `gain` - amount of gain to add/remove.

  - ### Method Detail

    - #### getType

          public GainType getType()

      get the type of replay gain adjustment.
      Returns:
        the type of replay gain adjustment.

    - #### getOriginator

          public GainOriginator getOriginator()

      get the originator of the replay gain adjustment.
      Returns:
        the originator of the replay gain adjustment.

    - #### isIncrease

          public boolean isIncrease()

      get whether the gain adjustment is an increase (true) or a decrease (false) in volume.
      Returns:
        whether the gain adjustment is an increase (true) or a decrease (false) in volume.

    - #### isDecrease

          public boolean isDecrease()

      get whether the gain adjustment is an increase (true) or a decrease (false) in volume.
      Returns:
        whether the gain adjustment is an increase (true) or a decrease (false) in volume.

    - #### getGain

          public int getGain()

      get the absolute vlaue of the gain adjustment.
      Returns:
        the absolute vlaue of the gain adjustment.

    - #### toString

          public java.lang.String toString()

      get a string representation of the LAME replay gain.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        a string representation of the Lame replay gain.